﻿<!DOCTYPE html>
<html>

<head>
<meta content="text/html; charset=utf-8" http-equiv="Content-Type">
<title>desktop</title>
<style>
	body{
		color:white;
		font-family:"Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
		text-align:center;
	}

	#container{
				display:grid;
				grid-template-columns:1fr 1fr 1fr 1fr;
				grid-template-rows:1fr 5fr 2fr 2fr 2fr;
				height:80vh;
				margin:0 auto;
				max-width:1000px;
	}
	#header{
			grid-column:1/2;
			grid-row:1/2;
			background-color:black;
	}
	#menu{
			grid-column:2/5;
			grid-row:1/2;
			background-color:maroon;
	}
	#hero{
			grid-column:1/5;
			grid-row:2/3;
			background-color:cornflowerblue;
	}
	#main{
			grid-column:1/3;
			grid-row:3/5;
			background-color:black;
	}
	#image{
			grid-column:4/4;
			grid-row:3/4;
			background-color:lightgreen;
	}
	#extra{
			grid-column:4/4;
			grid-row:4/5;
			background-color:teal;
	}
	#banner{
			grid-column:1/5;
			grid-row:5/6;
			background-color:gold;

	}

	@media (max-width: 500px){
		#container{
			display:flex;
			flex-direction:column;
		}
		#hero,#main{
			padding:20px;			
		}
		#banner,#extra,#image{
			padding:10px;
		}


	}







</style>
</head>
<body>
<div id="container">
	<div id="header">HEADER</div>
	<div id="menu">MENU</div>
	<div id="hero">HERO</div>
	<div id="main">MAIN</div>
	<div id="image">IMAGE</div>
	<div id="extra">EXTRA</div>
	<div id="banner">BANNER</div>
</div>
</body>
</html>
